/*
	Table 5.4
	AIC for various models for positive nodes dummy variables.
*/
version 11.0
set more off
clear
use rott2

gen byte n1 = (nodes > 0) & (nodes <= 3)
gen byte n2 = (nodes > 3) & (nodes <= 9)
gen byte n3 = (nodes > 9)
global model n1 n2 n3
forval j = 1 / 4 {
	foreach scale in h o n {
		qui stpm2 n1 n2 n3, nolog df(`j') scale(`scale')
		di "df = `j' scale = `scale' AIC - 6900 = " %7.1f e(AIC) - 6900
	}
}
set more on
